Subject: Re: [tcpm] TCP EDO and SYN-EXT-OPT finalization - request for discussion

From: "[email-masked]" <[email-masked]>
Date: Fri, 4 Mar 2022 11:05:42 -0800

Hi, all,

I’d like to request:

a) WGLC for EDO

b) some sort of WG decision on whether to adopt it as experimental (and, AFAICT, go to WGLC, given we’re already been around the block with it) or give me the go-ahead to submit it as individual experimental

Both drafts are active through April, so I’ll hold on re-issuing until (b).

Thanks,

—
Dr. Joe Touch, temporal epistemologist
www.strayalpha.com

> On Oct 12, 2021, at 1:07 PM, Wesley Eddy <[email-masked]> wrote:
> 
> On 10/12/2021 3:50 PM, [email-masked] wrote:
>> 
>> - are there any open issues or pending suggestions to TCP EDO to prepare it for last call?
>> 
> I think it's in good shape for a last call.  It's stable and addresses all of the feedback to date, aside from greater implementation and field experience.  At the moment, it seems like QUIC has solved the burning need we had for TCP options space, by attracting all the work that would normally need more options. However, after many years of discussion about how to handle this for TCP, and many candidates, the EDO approach was the one the working group was able to get consensus around, and we really should wrap up and publish it, IMHO.
> 
> 
>> - would the WG like to adopt SYN-EXT-OPT as experimental as well or would it be preferred (and OK) to submit this as individual/experimental if not?
>> 
> Either approach is fine with me, and I prefer either of them rather than not advancing anything.  I would be willing to contribute reviews for either path.
> 
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm